get
https://api.genability.com/rest/v1/accounts//analyses
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Retrieve previously run Savings Analyses for an account using the Arcadia accountId.
Use this endpoint when you want a history of Savings Analysis results for one account and you have the Arcadia-generated account UUID. Results are returned with the most recent analysis first. To retrieve analyses using your own account identifier, use Get Savings Analyses with providerAccountId. For the full history workflow, see Savings Analysis History.
Resource URI
GET /rest/v1/accounts/{accountId}/analysesPath parameters
| Parameter | Type | Description |
|---|---|---|
accountId | String | Arcadia UUID of the Account object. Required. |
Optional filters
Savings Analysis History also supports optional filters documented in Savings Analysis History, including:
| Parameter | Type | Description |
|---|---|---|
populateRequest | Boolean | When true, includes the original Savings Analysis request. Optional. |
earliestCreatedDate | DateTime | Only retrieve analyses performed on or after this date. Optional. |
latestCreatedDate | DateTime | Only retrieve analyses performed on or before this date. Optional. |
Example
GET /rest/v1/accounts/012f31cd-7d85-422c-bcca-6147ba349495/analysesA successful response returns a standard response payload with type set to AccountAnalysis and results containing matching Savings Analyses.
{
"status": "success",
"count": 1,
"type": "AccountAnalysis",
"results": [
{
"savingsAnalysisId": "34eb2c30-cf83-4a84-b6b8-948e34a3c9f1",
"accountId": "012f31cd-7d85-422c-bcca-6147ba349495",
"currency": "USD",
"summary": {
"preTotalCost": 1448.88,
"postTotalCost": 515.82,
"netAvoidedCost": 933.06
}
}
]
}